engine-config(8)

NAME
engine-config - Engine configuration management tool

SYNOPSIS
engine-config <action> [<args>]

AVAILABLE ACTIONS

-l, --list
    List available configuration keys.

-d, --diff
    List all configuration keys and their values, for which the value is different from the default value.

-a, --all
    Get all available configuration values.

-g KEY, --get=KEY
    Get the value of the given key for the given version. If a version is not given, the values of all existing versions are returned.

-s KEY=VALUE, --set KEY=VALUE
    Set the value of the given key for the given version. The version is required for this action only when the version is not 'general'.

-m KEY=VALUE, --merge KEY=VALUE
    Merge the value of the given key for the given version with the value in the database. The version is required for this action only when the version is not 'general'.

-h, --help
    Show this help message and exit.

OPTIONS

--cver=VERSION
    Relevant configuration version to use.

-p PROP_FILE, --properties=PROP_FILE
    Use the given alternate properties file.

-c CFG_FILE, --config=CFG_FILE
    Use the given alternate configuration file.

--log-file=LOG_FILE
    Sets file to write logging into (if not set nothing is logged).

--log-level=LOG_LEVEL
    Sets log level, one of FINE, INFO (default), WARNING, SEVERE (case insensitive).

SETTING PASSWORDS
Passwords can be set in interactive mode:
    engine-config -s PasswordEntry=interactive
or via file with one of the following options:
    engine-config -s PasswordEntry --admin-pass-file=/tmp/mypass
    engine-config -s PasswordEntry=/tmp/mypass
PasswordEntry varies between the different password options.

CUSTOM LOGGING
If you need custom logging setup, please create your own java.util.logging properties file, set a path to this file into OVIRT_LOGGING_PROPERTIES environment variable and execute engine-config.

NOTE
In order for your change(s) to take effect, restart the oVirt engine.

BUGS
Report bugs to <http://bugzilla.redhat.com>

COPYRIGHT
Copyright 2010-2014 Red Hat, Inc.